<?php
/**
 * 插件支持库
 * @copyright reginx.com
 * $Id$
 */
class plugin_lib {
    
    /**
     * 获取插件目录
     *
     * @return unknown
     */
    public static function getdirs($list = array()){
        foreach (glob(PLUGIN_PATH . "/*") as $v){
            if(is_dir($v)){
                if(!isset($list[basename($v)])){
                    $list[basename($v)] = array();
                }
            }
        }
        return $list;
    }
}
?>